Skip to main content

Search using OpenSearch query syntax

POST 

/search/:tableName

Allows for more complex OpenSearch queries against the index for the custom table. Please refer to the OpenSearch documentation

Stored scripts​

It is possible to use the following stored scripts:

  • compare-fields Compare two fields with each other in the search, similar to SQL WHERE fieldA > fieldB syntax.
    \{
    "script": \{
    "script": \{
    "id": "compare-fields",
    "params": \{
    "leftField": "deliveryDate",
    "operator": ">",
    "rightField": "requestedDeliveryDate"
    \}
    \}
    \}
    \}

<Heading
id={"request"}
as={"h2"}
className={"openapi-tabs__heading"}
>
<Translate id="theme.openapi.request.title">Request</Translate>
</Heading>

<ParamsDetails
{...require("./search-using-open-search-query-syntax.ParamsDetails.json")}
>

</ParamsDetails>

<RequestSchema
{...require("./search-using-open-search-query-syntax.RequestSchema.json")}
>

</RequestSchema>

<StatusCodes
{...require("./search-using-open-search-query-syntax.StatusCodes.json")}
>

</StatusCodes>